upnptools.h File Reference
`#include "ixml.h"`
`#include "upnpconfig.h"`
Include dependency graph for upnptools.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

const char * | UpnpGetErrorMessage (int errorcode)
| Converts an SDK error code into a string error message suitable for display. The memory returned from this function should NOT be freed. More...
int | UpnpResolveURL (const char *BaseURL, const char *RelURL, char *AbsURL)
| Combines a base URL and a relative URL into a single absolute URL. More...
int | UpnpResolveURL2 (const char *BaseURL, const char *RelURL, char **AbsURL)
| Combines a base URL and a relative URL into a single absolute URL. More...
IXML_Document * | UpnpMakeAction (const char *ActionName, const char *ServType, int NumArg, const char *Arg,...)
| Creates an action request packet based on its input parameters (status variable name and value pair). More...
IXML_Document * | UpnpMakeActionResponse (const char *ActionName, const char *ServType, int NumArg, const char *Arg,...)
| Ceates an action response packet based on its output parameters (status variable name and value pair). More...
int | UpnpAddToAction (IXML_Document **ActionDoc, const char *ActionName, const char *ServType, const char *ArgName, const char *ArgVal)
| Adds the argument in the action request. More...
int | UpnpAddToActionResponse (IXML_Document **ActionResponse, const char *ActionName, const char *ServType, const char *ArgName, const char *ArgVal)
| Creates an action response packet based on its output parameters (status variable name and value pair). More...
IXML_Document * | UpnpCreatePropertySet (int NumArg, const char *Arg,...)
| Creates a property set message packet. More...
int | UpnpAddToPropertySet (IXML_Document **PropSet, const char *ArgName, const char *ArgVal)
| Can be used when an application needs to transfer the status of many variables at once. More...